Debian Bug report logs - #385844
libmikmod: Uses deprecated /dev/dsp interface on Linux

version graph

Package: libmikmod2; Maintainer for libmikmod2 is Stephen Kitt <skitt@debian.org>; Source for libmikmod2 is src:libmikmod.

Reported by: ben@decadent.org.uk

Date: Sun, 3 Sep 2006 12:03:02 UTC

Severity: serious

Tags: help, patch

Found in version libmikmod/3.1.11-6

Fixed in version libmikmod/3.1.12-4.1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ingo Saitz <ingo@debian.org>:
Bug#385844; Package libmikmod2. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Ingo Saitz <ingo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please don't assume oss-compatible /dev/dsp is present
Date: Sun, 03 Sep 2006 13:49:34 +0200
Package: libmikmod2
Version: 3.1.11-a-6
Severity: normal

libmikmod2 seems to require an OSS-compatible /dev/dsp to work.  However, starting
with Linux 2.6 (hence, starting with etch), both libasound2 and /dev/dsp
interfaces [1] are provided, and applications are no longer allowed to assume
a standard /dev/dsp is present.

This situation makes this package become broken for most users (i.e. those who
will install etch, or upgrade from sarge/linux2.4 and no longer have a working
/dev/dsp).  I believe libmikmod2 should try to avoid this by enabling OSS
compatibility modules.

Fortunately, you don't need to worry about the details of binding OSS compat
modules to ALSA ones so that they're loaded when and only when ALSA drivers
are in use.  The "oss-compat" package has been created with this purpose.  You
can add a dependency on "oss-compat" to handle the compatibility for you.

[1] Not directly related to ALSA and OSS driver implementations.  Whereas
    libasound2 is ALSA-specific, /dev/dsp can be provided by both.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-amd64-k8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages libmikmod2 depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries

libmikmod2 recommends no packages.

-- no debconf information



Added tag(s) pending. Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sat, 29 Oct 2011 14:42:05 GMT) Full text and rfc822 format available.

Reply sent to Gergely Nagy <algernon@madhouse-project.org>:
You have taken responsibility. (Sat, 29 Oct 2011 17:51:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Sat, 29 Oct 2011 17:51:07 GMT) Full text and rfc822 format available.

Message #12 received at 385844-close@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 385844-close@bugs.debian.org
Subject: Bug#385844: fixed in libmikmod 3.1.11-8
Date: Sat, 29 Oct 2011 17:47:24 +0000
Source: libmikmod
Source-Version: 3.1.11-8

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive:

libmikmod2-dev_3.1.11-a-8_i386.deb
  to main/libm/libmikmod/libmikmod2-dev_3.1.11-a-8_i386.deb
libmikmod2_3.1.11-a-8_i386.deb
  to main/libm/libmikmod/libmikmod2_3.1.11-a-8_i386.deb
libmikmod_3.1.11-8.debian.tar.gz
  to main/libm/libmikmod/libmikmod_3.1.11-8.debian.tar.gz
libmikmod_3.1.11-8.dsc
  to main/libm/libmikmod/libmikmod_3.1.11-8.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gergely Nagy <algernon@madhouse-project.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 16:36:31 +0200
Source: libmikmod
Binary: libmikmod2-dev libmikmod2
Architecture: source i386
Version: 3.1.11-8
Distribution: unstable
Urgency: low
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Changed-By: Gergely Nagy <algernon@madhouse-project.org>
Description: 
 libmikmod2 - Portable sound library
 libmikmod2-dev - Portable sound library - development files
Closes: 123150 385844 423027 536000 628162
Changes: 
 libmikmod (3.1.11-8) unstable; urgency=low
 .
   * New maintainer  (Closes: #628162).
   * Updated to use short-form dh(7).
   * Switch to format: 3.0 (quilt).
   * Use dh-autoreconf to freshen the autotools stuff. (Closes: #536000)
   * Add lintian overrides (with comments), to silence false alarms.
   * Include the upstream README under /usr/share/doc/libmikmod2, as this
     is where driver options are documented. (Closes: #423027)
   * Disable the esd driver. (Closes: #123150)
   * Depend on oss-compat, to be able to assume an OSS compatible /dev/dsp.
     (Closes: #385844). This is done on Linux too, because the ALSA driver
     is broken too.
Checksums-Sha1: 
 9ef34fd36f77759ac240a3bc1e31a3314658587e 1290 libmikmod_3.1.11-8.dsc
 bfeede5f65c737871d8599768aea13a0d169e391 16592 libmikmod_3.1.11-8.debian.tar.gz
 069164b89d64aea8302601c86cc18be4fe6ee8eb 251812 libmikmod2-dev_3.1.11-a-8_i386.deb
 c61f54454b0b439551a6400a81bd9a3b70ea5f36 159818 libmikmod2_3.1.11-a-8_i386.deb
Checksums-Sha256: 
 3dc869ac711c8b17920e7c7d374803791b18d126ca36f6edf9399eeab8343f74 1290 libmikmod_3.1.11-8.dsc
 8baa3f84177fbbff537c84c5ae88ce1bcfe4fdc63c4ea6bb5c50047b7cfaadaa 16592 libmikmod_3.1.11-8.debian.tar.gz
 53e4d5947ba0420ed5f0414bc3d41ae933779ea40d6ed2250c9b7abb798017fe 251812 libmikmod2-dev_3.1.11-a-8_i386.deb
 bd2462a728470fa0206f0b00c14b87085f382ce6b3e41161afb40b507fa99c2e 159818 libmikmod2_3.1.11-a-8_i386.deb
Files: 
 5f8441c385b62a99ccfe4bd68b91d0d4 1290 libs optional libmikmod_3.1.11-8.dsc
 fe636a3939e8156326db0e0153effeb9 16592 libs optional libmikmod_3.1.11-8.debian.tar.gz
 5a92a6d207ea43d812d6ceaddb415986 251812 libdevel optional libmikmod2-dev_3.1.11-a-8_i386.deb
 d7e6253ed2188769be4a82f28c6790ae 159818 libs optional libmikmod2_3.1.11-a-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6sOBMACgkQN+HBdXAJatHKMACff73yacqzHZw+mOiVKWD3HbP7
GcsAnjXzAlKCLpZmZJBRU9DwU8trD8Hu
=itqc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Nov 2011 07:35:14 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'ben@decadent.org.uk' from 'Robert Millan <rmh@aybabtu.com>' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libmikmod/3.1.11-8. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'libmikmod: Uses deprecated /dev/dsp interface on Linux' from 'please don't assume oss-compatible /dev/dsp is present' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Sat, 04 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Sat, 04 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #31 received at 385844@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 385844@bugs.debian.org
Subject: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sat, 04 Aug 2012 21:50:46 +0100
[Message part 1 (text/plain, inline)]
Suggesting oss-compat does *not* fix this bug.  Most audio hardware is
limited to one playback channel and requires mixing to be done in
userland.  The ALSA userland library handles this transparently to the
application whereas in-kernel OSS compatibility cannot.  So use
of /dev/dsp under Linux still requires either:

1. Disabling PulseAudio or other sound mixer daemon
2. Running the program under a wrapper that intercepts use of /dev/dsp

It is not acceptable that packaged software requires such workarounds.
It is a wheezy release goal to stop using /dev/dsp on Linux
<http://wiki.debian.org/ReleaseGoals/NoLinuxDevDsp>.  Maybe this can't
be fixed in time for wheezy now, but it should be dealt with anyway.

Ben.

-- 
Ben Hutchings
Experience is directly proportional to the value of equipment destroyed.
                                                         - Carolyn Scheppner

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#385844; Package libmikmod2. (Sun, 05 Aug 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. (Sun, 05 Aug 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #36 received at 385844@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 385844@bugs.debian.org
Subject: Re: Bug#385844: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sun, 05 Aug 2012 14:25:34 +0200
Ben Hutchings <ben@decadent.org.uk> writes:

> Suggesting oss-compat does *not* fix this bug.

It does provide a workaround until such time when a proper fix can be
put in place, which is something that cannot reasonably be done for
wheezy, however unfortunate.

Upstream activity on this front is virtually non-existant, I tried to
port libmikmod's ALSA driver to modern alsa, but what I once knew about
alsa, I forgot long ago, so that effort was put on hold until I - or
someone else - has more time to deal with it, post wheezy.

I am well aware of the shortcomings of the workaround, and I do agree it
needs to be fixed properly at one point, but unless I get a patch to
bring the ALSA driver into shape, it won't happen for wheezy :/

As such, I'd like to ask for a wheezy-ignore tag for this one.

-- 
|8]



Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Sun, 05 Aug 2012 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Sun, 05 Aug 2012 14:27:05 GMT) Full text and rfc822 format available.

Message #41 received at 385844@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Gergely Nagy <algernon@madhouse-project.org>
Cc: 385844@bugs.debian.org
Subject: Re: Bug#385844: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sun, 05 Aug 2012 15:23:50 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 help

On Sun, 2012-08-05 at 14:25 +0200, Gergely Nagy wrote:
> Ben Hutchings <ben@decadent.org.uk> writes:
> 
> > Suggesting oss-compat does *not* fix this bug.
> 
> It does provide a workaround until such time when a proper fix can be
> put in place, which is something that cannot reasonably be done for
> wheezy, however unfortunate.
> 
> Upstream activity on this front is virtually non-existant, I tried to
> port libmikmod's ALSA driver to modern alsa, but what I once knew about
> alsa, I forgot long ago, so that effort was put on hold until I - or
> someone else - has more time to deal with it, post wheezy.

I'm tagging the bug accordingly.

> I am well aware of the shortcomings of the workaround, and I do agree it
> needs to be fixed properly at one point, but unless I get a patch to
> bring the ALSA driver into shape, it won't happen for wheezy :/
> 
> As such, I'd like to ask for a wheezy-ignore tag for this one.

Understood.

Ben.

-- 
Ben Hutchings
Computers are not intelligent.	They only think they are.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) help. Request was from Ben Hutchings <ben@decadent.org.uk> to 385844-submit@bugs.debian.org. (Sun, 05 Aug 2012 14:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Sun, 09 Sep 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pantelis Koukousoulas <pktoss@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Sun, 09 Sep 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #48 received at 385844@bugs.debian.org (full text, mbox):

From: Pantelis Koukousoulas <pktoss@gmail.com>
To: 385844@bugs.debian.org
Subject: Re: Bug#385844: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sun, 9 Sep 2012 11:54:09 +0300
[Message part 1 (text/plain, inline)]
There is a possible solution to this:

1) There is a patch in Fedora for many years now that fixes the esd
output driver

2) PulseAudio has esd emulation so it acts as drop-in replacement for
esd without
    problems

3) I have already ported this patch to wheezy locally and it works (I
tried with mikmod
    player and with bb to make sure bug #123150 didn't return. Both
work fine, no
    /dev/dsp needed!)

So, we could drop the oss-compat dependency, add a build-depends to libesd0-dev,
fix debian/patches/ accordingly and suggest or recommend
pulseaudio-esound-compat.

This way libmikmod would work fine in a standard Linux/pulseaudio
system through esd
output driver and in kFreeBSD through OSS.

---

How to test the patch in Linux/pulseaudio:

   apt-get install pulseaudio-esound-compat mikmod bb
   (logout and login for pulseaudio esd emulation to be activated)

   apt-get source libmikmod
   cd libmikmod-*
   patch -Np1 -i ../libmikmod-385844.patch
   dch -i
   debuild -uc -us

   cd ..; dpkg -i libmikmod2*.deb
   bb

   (or play something with mikmod)

Both bb's music and mikmod should work fine, through pulseaudio, loook ma, no
/dev/dsp :)

Unfortunately I haven't been able to test in kFreeBSD since I can't
install the latter
under qemu (grub-pc fails to install, looks like a known bug) so any
kFreeBSD testing
is welcome.

What do you think? Would this solution be ok?
[libmikmod-385844.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Sun, 09 Sep 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pantelis Koukousoulas <pktoss@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Sun, 09 Sep 2012 09:45:03 GMT) Full text and rfc822 format available.

Message #53 received at 385844@bugs.debian.org (full text, mbox):

From: Pantelis Koukousoulas <pktoss@gmail.com>
To: 385844@bugs.debian.org
Subject: Re: Bug#385844: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sun, 9 Sep 2012 12:41:53 +0300
Control: tag -1 patch



Added tag(s) patch. Request was from Pantelis Koukousoulas <pktoss@gmail.com> to 385844-submit@bugs.debian.org. (Sun, 09 Sep 2012 09:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#385844; Package libmikmod2. (Sun, 09 Sep 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. (Sun, 09 Sep 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #60 received at 385844@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Pantelis Koukousoulas <pktoss@gmail.com>
Cc: 385844@bugs.debian.org
Subject: Re: Bug#385844: libmikmod: Uses deprecated /dev/dsp interface on Linux
Date: Sun, 09 Sep 2012 15:08:10 +0200
Pantelis  Koukousoulas <pktoss@gmail.com> writes:

> There is a possible solution to this:
>
> 1) There is a patch in Fedora for many years now that fixes the esd
> output driver

Thanks for the notice & porting, I'll take a look!

Also, the newest libmikmod release supposedly has correct alsa2 support,
which would be even better. I started reviewing that already, but at
this point in the freeze, it's probably better to go with the esd patch
instead of a whole new upstream version.

I'll try to get around to do an upload in the next couple of days.

-- 
|8]



Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Fri, 19 Oct 2012 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Fri, 19 Oct 2012 09:09:03 GMT) Full text and rfc822 format available.

Message #65 received at 385844@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 385844@bugs.debian.org
Cc: Pantelis Koukousoulas <pktoss@gmail.com>
Subject: libmikmod: diff for NMU version 3.1.12-4.1
Date: Fri, 19 Oct 2012 10:05:33 +0100
[Message part 1 (text/plain, inline)]
tags 385844 + pending
thanks

Hi,

Gergely Nagy wrote:
> at this point in the freeze, it's probably better to go with the esd patch
> instead of a whole new upstream version.

I agree.

> I'll try to get around to do an upload in the next couple of days.

I've prepared an NMU for libmikmod (versioned as 3.1.12-4.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should cancel it or delay it longer.

I attach an nmudiff, but you'll probably find this git repository more useful.
I branched yours and tried to follow your packaging style:

git+ssh://git.debian.org/git/users/smcv/qa/libmikmod.git
http://anonscm.debian.org/gitweb/?p=users/smcv/qa/libmikmod.git;a=commitdiff;h=bf3a4898d9248ef4366f0c2f6695e8c31432f2fc
http://anonscm.debian.org/gitweb/?p=users/smcv/qa/libmikmod.git;a=shortlog;h=refs/heads/patch-queue/master

Tested with mikmod and bb, using wheezy's pulseaudio version.

Changes since Pantelis' patch:

* adapted to (what I infer from your git repository to be) your workflow

* git-format-patch-style headers for the new patches

* Recommends: pulseaudio-esound-compat | oss-compat because I noticed the
  failure mode is pretty bad if you don't have one of those: libmikmod
  falls through to one of its "disk writer" drivers, which is pretty useless
  for audio output! (I'll open a bug)

One problem with the packaging style used in your git repository is that
the master branch (and its tags) don't track which patches were applied:
there's no way to see which patches were in a particular Debian release,
except rummaging in snapshot.debian.org. Obviously, it's your choice as
maintainer what packaging style you want to use, but I would suggest
either applying the patches to the Debian branch and using merges to
incorporate new upstream releases (like the Debian X maintainers do), or
using the documented gbp-pq workflow and living with the fact that the
patch series gets committed to the repository (like pkg-telepathy and
pkg-utopia do).

Regards,
    S
[libmikmod-3.1.12-4.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2012 09:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Fri, 19 Oct 2012 09:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Fri, 19 Oct 2012 09:39:03 GMT) Full text and rfc822 format available.

Message #72 received at 385844@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Simon McVittie <smcv@debian.org>
Cc: 385844@bugs.debian.org
Subject: Re: libmikmod: diff for NMU version 3.1.12-4.1
Date: Fri, 19 Oct 2012 11:29:44 +0200
> > I'll try to get around to do an upload in the next couple of days.
> 
> I've prepared an NMU for libmikmod (versioned as 3.1.12-4.1) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should cancel it or delay it longer.

Thanks for the NMU, it's appreciated! However, there is one problem
with the change: I used Suggests: oss-compat, and pulseaudio-esd was
added to the suggests line, it was not bumped to Recommends as the
changelog would suggest. Since the fallback to writing music.raw is
undesirable, I believe it would be more useful to bump that suggests
up to a recommends.

Other than that, it looks good. So if you could also bump the Suggests
to Recommends, and upload directly to unstable, that would be
grand. Thanks in advance!

> One problem with the packaging style used in your git repository is that
> the master branch (and its tags) don't track which patches were applied:
[...]

Indeed, the workflow I'm using with libmikmod isn't particularly
good. I was still experimenting at the time, and that shows. It will
be changed eventually, so that tracking which patches were applied
when will be clear, and won't require any digging outside of the git
tree.

Thanks for your work!

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, Gergely Nagy <algernon@madhouse-project.org>:
Bug#385844; Package libmikmod2. (Fri, 19 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Gergely Nagy <algernon@madhouse-project.org>. (Fri, 19 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #77 received at 385844@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 385844@bugs.debian.org
Subject: Re: libmikmod: diff for NMU version 3.1.12-4.1
Date: Fri, 19 Oct 2012 11:13:58 +0100
On 19/10/12 10:29, Gergely Nagy wrote:
> I used Suggests: oss-compat, and pulseaudio-esd was
> added to the suggests line, it was not bumped to Recommends as the
> changelog would suggest.

Oops... yes, you're quite right. I've cancelled the delayed NMU.

> Other than that, it looks good. So if you could also bump the Suggests
> to Recommends, and upload directly to unstable, that would be
> grand. Thanks in advance!

Thanks for reviewing, I'll do a 0-day NMU with that change later today.

    S



Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Fri, 19 Oct 2012 21:36:04 GMT) Full text and rfc822 format available.

Notification sent to ben@decadent.org.uk:
Bug acknowledged by developer. (Fri, 19 Oct 2012 21:36:04 GMT) Full text and rfc822 format available.

Message #82 received at 385844-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 385844-close@bugs.debian.org
Subject: Bug#385844: fixed in libmikmod 3.1.12-4.1
Date: Fri, 19 Oct 2012 21:32:29 +0000
Source: libmikmod
Source-Version: 3.1.12-4.1

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Oct 2012 22:05:18 +0100
Source: libmikmod
Binary: libmikmod2-dev libmikmod2
Architecture: source amd64
Version: 3.1.12-4.1
Distribution: unstable
Urgency: low
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 libmikmod2 - Portable sound library
 libmikmod2-dev - Portable sound library - development files
Closes: 385844
Changes: 
 libmikmod (3.1.12-4.1) unstable; urgency=low
 .
   * Non-maintainer upload (acknowledged by maintainer).
   * Apply patches from Hans de Goede and Pantelis Koukousoulas to enable
     the ESD driver, so we can interoperate with PulseAudio (Closes: #385844)
   * Recommend pulseaudio-esound-compat | oss-compat because if we don't have
     one of those, the fallback path is to write output to ./music.raw, which
     is unlikely to be what you want!
Checksums-Sha1: 
 c33155dcb1a36fa7a0ffa6b8dad975c68be1d4ce 1909 libmikmod_3.1.12-4.1.dsc
 3ae362ffe4693104624d11693f457aa788bf25ff 15509 libmikmod_3.1.12-4.1.debian.tar.gz
 194f56555a2af13a6206f53e292dfbbf9ab52a10 274178 libmikmod2-dev_3.1.12-4.1_amd64.deb
 2d7f5c9e998adae7197c96e7657953ab019c5717 171262 libmikmod2_3.1.12-4.1_amd64.deb
Checksums-Sha256: 
 2c52dc11a76cf15f7882e53020557af104722bdbd3ebb7e07983b71162defa8c 1909 libmikmod_3.1.12-4.1.dsc
 6b93258245a297ed6c764397bc48e4e84f25228ce488db208e89c5ee19c188d0 15509 libmikmod_3.1.12-4.1.debian.tar.gz
 759b077bfb2b1f6a1c192272ed1742d37a3b6adcf9c24c5a8a75b35e5a599792 274178 libmikmod2-dev_3.1.12-4.1_amd64.deb
 d7895511f3ea4ad40c148d38b9a4c17ba08427c9e583cf6ae0a0762e844dc39b 171262 libmikmod2_3.1.12-4.1_amd64.deb
Files: 
 9625bf1a7ad669846996db73073945c2 1909 libs optional libmikmod_3.1.12-4.1.dsc
 4097adeb971cdc8661ffc0c47c91f2c8 15509 libs optional libmikmod_3.1.12-4.1.debian.tar.gz
 71eab7bd4cb19907c7a62f07a62cbc21 274178 libdevel optional libmikmod2-dev_3.1.12-4.1_amd64.deb
 a23e0c5df5b55327de85f0ece8ef5120 171262 libs optional libmikmod2_3.1.12-4.1_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBUIHDF03o/ypjx8yQAQjfSQ/+NV6qLa8VtBfHKQGt3h1kfU6B7k1L+eQs
HkfWokCaDJtyLHEYRCtv1xmelOYRW/vf5uKaE1MWmDrhCrqEaFhxJDnZrRZ41B5V
rRwDDvNOeffjih0CXq3KV2UFCy4E20b9oxmhfZWG0TTqTqTN9fEskDIEbGCJkv/T
WVi+A3/5RrSRIUTy0fx7tpmOIuZPUKKzor/Arh5zIK/K+WDx85UsBr/dYcLqgw1L
58V1wD40KNH2p7SJggMTafrHeQLECbhdirLMcEDPixgGQQfRK13P5mulXCBcppkM
hCEUB0VrBw/N8jfvvCMoxMBK20zBHCdQkmxrP/ORfmjfIMIzCe44vLcbZloiV1oW
Fa4Q5JwkSPClPcL3cpUShCUIH6wF2dTffnZw+i+Gr+2rwnnT0sHDYXgPlVA/ASRD
pJbo35GfzmmZZK1u+T4oez99AOQeZaS/yFPZGEphPi4bgXNr4nn2qXeNmtergS/K
Dh+9LuwCRWnKufMO/ENRpRgUR48HKDl0O5xb5BBSGZaFw452NTqTWgrqIdPvcIze
UYrpNBe9pMWNSmpeZJCFyQHki+X38CY92mGmzSAJUyCCroO0az+opgk8aSUtCaj7
4qlAYIxRMOj312FJOWw7pYVR7xneNdn1qSiyOsbh0xdyCo8GM3aYNfPbfs9wxaO5
jY0bE+K5LAg=
=v5pb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:55:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:58:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.